API ReferenceTools

Get tool enum listv3.1

GET
/api/v3.1/tools/enum

Lists the slug of every tool in the latest version of each Composio-managed toolkit, such as GMAIL_SEND_EMAIL. Tools of custom toolkits are not included.

Authorization

x-api-key<token>

Project API key authentication

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

import requestsurl = "https://example.com/api/v3.1/tools/enum"response = requests.request("GET", url)print(response.text)
[  "string"]